Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452329 - Feature Request: Ability to set scale on gruler so that a unit size on gruler = unit size on real ruler
Summary: Feature Request: Ability to set scale on gruler so that a unit size on gruler...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gruler
Version: 9
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-21 00:15 UTC by Bill Case
Modified: 2009-07-14 15:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:07:46 UTC


Attachments (Terms of Use)

Description Bill Case 2008-06-21 00:15:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en; rv:1.9) Gecko/20080528 Fedora/2.22.2-2.fc9 Epiphany/2.22 Firefox/3.0

Description of problem:
Feature request:

I have been looking for something like gruler for a long time.  But... I want something that translates between screen measurements and real world measurements.  In other words, I would like to easily set and change the scale between the gruler screen units and real SI and English Imperial distance measuring units.

For example the gruler marked  8 1/2 inches that appears on my screen is in fact 5 3/4 inches long.  I have my application set (zoomed) to show the width of an actual piece of letter paper.  For many drawing and placement chores, I either want the scale to be 1:1 or in cases where the paper size shown on the screen is different (say 60%) of the real world size, I would like to be able to change the gruler scale so that a 5.5 inch mark on the printed page can be shown on screen using a .6:1 scale.

I gather (and I like) the idea of gruler is to achieve quick and dirty measurements and placements.  For something more fine grained there several professional graphics programs.  

Nonetheless, I would suggest that just below the choice 6. Percentage, in the preferences menu, there should be a scale showing something like spin_control: (pick ratio size) with :1 always equal to the real world sized unit.  Because of differences in screen resolution there may have to be a way for the user to set the original real world unit size.  Sizing the gruler on screen to a real ruler held against the screen may be necessary.

Version-Release number of selected component (if applicable):
gruler.rb version 0.8

How reproducible:
Always


Steps to Reproduce:
1.Click on Gruler applet on panel or in menu
2.
3.

Actual Results:
A ruler at what appears to be random size pops up

Expected Results:
I should be able to set the scale in preferences

Additional info:

Comment 1 Bug Zapper 2009-06-10 01:42:55 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2009-07-14 15:07:46 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.